### dotfiles

![preview](preview.png)

these are my dotfiles, custom desktop entries, and scripts for my personal machine

to use these verbatim, clone the repo and merge it onto root with rsync, like below.

this repo also contains configuration files for services with arch linux. feel
free to disregard these if you'd like.

please note that these are provided without guarantee or warranty of any kind.
please back up all your files before using these!

```
git clone https://gitea.bubbletea.dev/shibao/dotfiles.git
rsync -a dotfiles/* /
```

thank you!

### requirements

this isn't an exhaustive list.
please let me know if i've forgotten one!

- sway (de)
- waybar (topbar)
- swayidle (idle daemon)
- swaylock (lockscreen)
- alacritty (terminal)
- rofi (launcher)
- mako (notification daemon)
- kanshi (screen config manager)
- gnome-polkit (auth helper)
- nm-applet (network gui tray applet)
- blueman-tray (bluetooth gui tray applet)
- playerctl (music controller)
- materia-dark (gtk theme)
- papirus-dark (icon theme)
- ibus (intl. keyboard input)
- grim (screenshots on wayland)
- wf-recorder (screen recorder on wayland)
- slurp (to select region in wayland)
- neovim (editor)
- direnv (per-directory environment variables)
- asdf (language agnostic dependency management)
